from mtf.mtf_base import MtfBase
from xtr import logging, TestCase

logger = logging.getLogger(__name__)


# The methods of this class will be executed
# only once during the entire run
# by the xTR test runner.
class TestBase(TestCase, MtfBase):

    # The setUpClass method will be executed
    # as the first step in the execution.
    @classmethod
    def setUpClass(cls):
        logger.info(
            "Message from TestBase setUpClass function"
        )

    # The tearDownClass method will be executed
    # as the last step in the execution.
    @classmethod
    def tearDownClass(cls):
        logger.info(
            "Message from TestBase tearDownClass function"
        )
